Ibababa ng Firefox 74 ang suporta para sa TLS 1.0 at TLS 1.1

Bersyon 74.0 ng web browser ng Firefox babagsak suporta para sa mga protocol ng pag-encrypt TLS 1.0 at TLS 1.1 buo. Ang mga site na hindi sumusuporta sa hindi bababa sa TLS 1.2 ay magpapakita ng isang 'secure na koneksyon nabigo' na pahina ng error kapag ang mga pagbabago sa lupain na pumipigil sa mga gumagamit sa pag-access sa mga site.

Ang Mozilla at iba pang mga tagagawa ng browser kabilang ang Google, Microsoft at Apple ay nagsiwalat plano sa 2018 upang tanggalin ang TLS 1.0 at TLS 1.1 noong 2020 upang mapabuti ang seguridad at pagganap ng mga koneksyon sa Internet.



Ang pag-anunsyo ay nagawa nang maaga upang bigyan ang mga webmaster at organisasyon ng oras upang lumipat ng mga serbisyo na ginagamit pa rin ang isa sa mga protocol sa isang mas bagong protocol.

Ang TLS 1.3 Final ay nai-publish noong 2018 at mga tagagawa ng browser na gusto Mozilla o Google ipinatupad ang suporta para sa bagong protocol sa kanilang mga browser. Ang lahat ng mga pangunahing web browser ay sumusuporta sa TLS 1.3 hanggang ngayon.

Habang ang suporta para sa mas mahusay na mas ligtas na protocol ay magagamit, ang ilang mga site ay hindi lumipat sa paggamit ng mga protocol na eksklusibo. Ang isang pag-scan ng Mozilla noong kalagitnaan ng 2019 ay nagpakita na tungkol sa 8000 mga site ng isang listahan na may 1 milyong nangungunang mga site ay hindi suportado ng TLS 1.2 o mas mataas. Ang bilang ay maaaring mas mababa sa pamamagitan ng isinasaalang-alang ngayon na ang isa pang anim na buwan na ang lumipas mula noong ginawa ang pag-scan.

firefox tls 1.0 1.1 deprecation

Simula sa Firefox 74, ang mga site na gumagamit ng TLS 1.1 o mas mababa ay hindi na mai-load sa browser. Ang parehong mangyayari sa halos parehong oras sa Google Chrome at iba pang mga pangunahing browser tulad ng Microsoft Edge o Apple Safari.



Sa Firefox, itatapon ng browser ang isang 'secure na koneksyon na nabigo' na mensahe ng error kasama ang error code 'SSL_ERROR_UNSUPPORTED_VERSION' na walang pagpipilian ng pag-iwas sa error (dahil ang suporta sa TLS 1.0 at 1.1 ay tinanggal mula sa browser).

secure connection failed firefox

Ang mga site na aktibong pinapanatili ay malamang na mai-update sa oras upang suportahan ang mga mas bagong bersyon ng protocol upang ang mga koneksyon sa mga site na ito ay hindi makagambala.



Ang ilang mga site, hal. ang mga hindi na aktibong pinananatili ngayon o hindi ma-update upang suportahan ang mga mas bagong bersyon ng protocol, ay hindi na gagana kahit na ang mga pagbabago sa lupain. Karamihan sa mga gumagamit ng Firefox ay makakakita ng kaunting pagkagambala, kung mayroon man, kapag na-upgrade ang Firefox sa bersyon 74.0.

Ang Firefox 74.0 Stable ay naka-iskedyul para sa isang paglabas ng Marso 10, 2020.

Ngayon Ikaw: Alam mo ba ang anumang aparato o site na umaasa pa rin sa TLS 1.1 o mas mababa?